Skip to main content

Retrieve International External Account

Suggest Edits


5.1 Overview

You can retrieve information for a specific international external account (IEA) using the GET method, as described below.


5.2 Resource Access

Production (api.ahrvo.network)

GET https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}

Staging (gateway.ahrvo.network)

GET https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}

5.3 Example Request

Retrieve an International External Account by ID

GET /banking/us2/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId} HTTP/1.1
Host: {hostname}
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json

5.4 Example Response — USD

{
"url": "v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}",
"id": "{internationalExternalAccountId}",
"type": "CHECKING",
"holderName": "{holderName}",
"holderPhone": "{holderPhone}",
"holderAddress": {
"addressLine1": "{addressLine1}",
"addressLine2": "{addressLine2}",
"city": "{city}",
"state": "{state}",
"zip": "{zip}",
"country": "{country}"
},
"accountNumberLast4": "{accountNumberLast4}",
"holderType": "CORPORATE",
"purpose": "{purpose}",
"status": "ACTIVE",
"statusReason": "ACTIVE",
"statusDate": "{statusDate}",
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "{ofacStatusReason}",
"ofacStatusDate": "{ofacStatusDate}"
},
"lastUpdatedOn": "{lastUpdatedOn}",
"createdOn": "{createdOn}",
"createdBy": {
"userType": "API_USER",
"userName": "{userName}",
"status": "ACTIVE"
},
"lastUpdatedBy": {
"userType": "API_USER",
"userName": "{userName}",
"status": "ACTIVE"
},
"swiftCode": "{swiftCode}",
"acceptedCurrency": ["{acceptedCurrency}"],
"holderEmail": "{holderEmail}"
}

5.5 Example Response — Non-USD

{
"url": "v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}",
"id": "{internationalExternalAccountId}",
"externalId": "{externalId}",
"type": "CHECKING",
"holderName": "{holderName}",
"holderPhone": "{holderPhone}",
"holderAddress": {
"addressLine1": "{addressLine1}",
"addressLine2": "{addressLine2}",
"city": "{city}",
"state": "{state}",
"zip": "{zip}",
"country": "{country}"
},
"accountNumberLast4": "{accountNumberLast4}",
"holderType": "CORPORATE",
"purpose": "{purpose}",
"status": "ACTIVE",
"statusReason": "ACTIVE",
"statusDate": "{statusDate}",
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "{ofacStatusReason}",
"ofacStatusDate": "{ofacStatusDate}"
},
"lastUpdatedOn": "{lastUpdatedOn}",
"createdOn": "{createdOn}",
"createdBy": {
"userType": "API_USER",
"userName": "{userName}",
"status": "ACTIVE"
},
"lastUpdatedBy": {
"userType": "API_USER",
"userName": "{userName}",
"status": "ACTIVE"
},
"swiftCode": "{swiftCode}",
"internationalRoutingCode": "{internationalRoutingCode}",
"acceptedCurrency": ["{acceptedCurrency}"],
"holderEmail": "{holderEmail}",
"additionalDetail": {
"taxID": "{taxID}"
}
}

5.6 Example HTTP Status

HTTP/1.1 200 OK

API Documentation